> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statement URL or trigger async statement generation



## OpenAPI

````yaml /openapi/sso.openapi.json post /sso/transaction/statement
openapi: 3.0.3
info:
  title: Wallet SSO API
  version: 1.0.0
  description: OpenAPI specification for the Wallet service API.
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security:
  - PartnerIdHeader: []
    PartnerApiKeyHeader: []
tags:
  - name: SSO Auth
  - name: SSO Wallet
  - name: SSO Transaction
  - name: SSO Payment Request
  - name: SSO PayTag
  - name: SSO QR
  - name: SSO Beneficiary
paths:
  /sso/transaction/statement:
    post:
      tags:
        - SSO Transaction
      summary: Get statement URL or trigger async statement generation
      parameters:
        - $ref: '#/components/parameters/StartDateQuery'
        - $ref: '#/components/parameters/EndDateQuery'
        - in: query
          name: async
          schema:
            type: boolean
      responses:
        '200':
          description: Statement URL (sync mode)
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
        '204':
          description: Async statement generation accepted
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
          BearerAuth: []
components:
  parameters:
    StartDateQuery:
      in: query
      name: startDate
      schema:
        type: string
        format: date
    EndDateQuery:
      in: query
      name: endDate
      schema:
        type: string
        format: date
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````